#pragma once
#include <HwmAgentNotifyDef.h>

#include "resource.h"
#include "afxwin.h"

// demoPNRPrivacyDlg 对话框

class demoPNRPrivacyDlg : public CDialogEx
{
    DECLARE_DYNAMIC(demoPNRPrivacyDlg)

public:
    demoPNRPrivacyDlg(CWnd* pParent = NULL);   // 标准构造函数
    virtual ~demoPNRPrivacyDlg();

    // 对话框数据
    enum { IDD = IDD_PNR_PRIVACY_DIALOG };

protected:
    virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

    DECLARE_MESSAGE_MAP()
private:
    hwmsdkagent::HwmVoiceprintStatementEntry m_entry = hwmsdkagent::VOICEPRINT_STATEMENT_ENTRY_CHECK_STATEMENT;
public:
    afx_msg void SetEntry(hwmsdkagent::HwmVoiceprintStatementEntry entry) { m_entry = entry; };
    afx_msg void OnBnClickedButtonAgree();
    afx_msg void OnBnClickedButtonDisAgree();
};
